plugins {
    id 'java'
    id 'org.jetbrains.intellij' version '0.7.2'
}

group 'com.armstrongconsulting'
version '1.0-SNAPSHOT'

repositories {
    mavenCentral()
}

dependencies {
    testCompile group: 'junit', name: 'junit', version: '4.12'
    compile fileTree(dir: 'libs', include: '*.jar')
    compile 'io.github.openfeign:feign-core:11.1'
    compile 'io.github.openfeign:feign-httpclient:11.1'
    compile 'io.github.openfeign:feign-gson:11.1'

    compileOnly 'org.projectlombok:lombok:1.18.20'
    annotationProcessor 'org.projectlombok:lombok:1.18.20'
    testCompileOnly 'org.projectlombok:lombok:1.18.20'
    testAnnotationProcessor 'org.projectlombok:lombok:1.18.20'
}

// See https://github.com/JetBrains/gradle-intellij-plugin/
intellij {
    version '2020.1.4'
}
patchPluginXml {
    changeNotes """
      No changes so far..."""
}